@ECHO OFF
IF "%1"=="" GOTO ERREXIT
IF "%2"=="" GOTO ERREXIT

REM *********************************************************************
REM Check for Dynapro bus-type touchscreen, error out if so
REM *********************************************************************

CLS
%1\FINDBTS
IF NOT ERRORLEVEL 1 GOTO TSERROR
ECHO Continuing with installation...

REM *********************************************************************
REM Copy the files into a CTC directory
REM *********************************************************************

CLS
ECHO Copying Powerstation Utilities from drive %1 to drive %2 ...
MD %2\CTC
COPY %1\CTC\*.* %2\CTC /V /Y

REM *********************************************************************
REM Copy the Touchscreen files into a TOUCH directory
REM *********************************************************************

ECHO.
ECHO Copying Touchscreen Drivers from drive %1 to drive %2 ...
MD %2\TOUCH
MD %2\TOUCH\DOX
COPY %1\TOUCH\DOX\*.* %2\TOUCH\DOX /V /Y

REM *********************************************************************
REM Copy the Network files into a NET directory
REM *********************************************************************

ECHO.
ECHO Copying Network Drivers from drive %1 to drive %2 ...
MD %2\NET
COPY %1\NET\*.* %2\NET /V /Y

CLS
ECHO Do you wish to install the Powerstation default AUTOEXEC.BAT and
ECHO CONFIG.SYS files?  Any existing AUTOEXEC.BAT and CONFIG.SYS files
ECHO will be renamed to AUTOEXEC.OLD and CONFIG.OLD.
CHOICE
IF ERRORLEVEL 2 GOTO NOAUTO
IF ERRORLEVEL 1 GOTO YESAUTO
GOTO NOAUTO

:YESAUTO
REM *********************************************************************
REM Copy AUTOEXEC.BAT and CONFIG.SYS files to the root directory
REM *********************************************************************

IF EXIST %2\AUTOEXEC.OLD DEL %2\AUTOEXEC.OLD
IF EXIST %2\CONFIG.OLD DEL %2\CONFIG.OLD
IF EXIST %2\AUTOEXEC.BAT REN %2\AUTOEXEC.BAT AUTOEXEC.OLD
IF EXIST %2\CONFIG.SYS REN %2\CONFIG.SYS CONFIG.OLD
COPY %1\AUTOEXEC.CTC %2\AUTOEXEC.BAT /V /Y
COPY %1\CONFIG.CTC %2\CONFIG.SYS /V /Y
REM Copy AUTOEXEC and CONFIG to the CTC directory, for backup purposes
COPY %1\AUTOEXEC.CTC %2\CTC /V /Y
COPY %1\CONFIG.CTC %2\CTC /V /Y

ECHO.
ECHO.
ECHO The CTC default AUTOEXEC.BAT and CONFIG.SYS files have been installed
ECHO on drive %2 of the Powerstation.  Backup copies of these files have
ECHO also been made in the %2\CTC directory.
ECHO.
PAUSE
GOTO FINISH

:NOAUTO
REM *********************************************************************
REM Do not install AUTOEXEC.BAT and CONFIG.SYS files, but create template
REM AUTOEXEC.CTC and CONFIG.CTC files.
REM *********************************************************************

COPY %1\AUTOEXEC.CTC %2\ /V /Y
COPY %1\CONFIG.CTC %2\ /V /Y

ECHO.
ECHO.
ECHO The existing AUTOEXEC.BAT and CONFIG.SYS files have NOT been modified.
ECHO However, for correct Powerstation operation, these files MUST contain
ECHO certain statements.  The statements that must be included in your
ECHO AUTOEXEC.BAT and CONFIG.SYS files have been placed in files named
ECHO AUTOEXEC.CTC and CONFIG.CTC on drive %2
ECHO.
PAUSE
GOTO FINISH

:FINISH
IF EXIST %2\TOUCH\TBCALIB GOTO FINISH1
CLS
ECHO You must calibrate the Powerstation touchscreen for proper operation.
ECHO Do you wish to do this now?
CHOICE
IF ERRORLEVEL 2 GOTO NOCAL
IF ERRORLEVEL 1 GOTO YESCAL

:NOCAL
ECHO.
ECHO CAUTION: Touchscreen is NOT calibrated.  Please remember to
ECHO calibrate the Powerstation touchscreen before use!
ECHO.
GOTO FINISH1

:YESCAL
ECHO The calibration program will now be started automatically.  To
ECHO calibrate your touchscreen, perform the following steps in the
ECHO calibration program:
ECHO.
ECHO    - First, select option "C" to calibrate
ECHO.
ECHO    - Then select option "V" to select video modes
ECHO.
ECHO    - Select an appropriate video mode (must do modes 3,
ECHO      12, and 101 - selections 2, 0, and 11 respectively)
ECHO.
ECHO    - Select "C" to calibrate the selected mode
ECHO.
ECHO    - Repeat until all needed video modes are calibrated.
ECHO.
PAUSE
%2\TOUCH\DOX\S3CDOX /NOBOUNDS
CLS
%2\TOUCH\DOX\TOUCHCFG
CLS

:FINISH1
ECHO.
ECHO Powerstation Utilities installation complete!
ECHO.
GOTO END

:TSERROR
ECHO.
ECHO INSTALLATION ERROR - ISA bus touchcreen controller detected.
ECHO   This diskette only supports the SC3 serial touchscreen controller.
ECHO   Please use installation disk KA-72463-120 instead.
ECHO.
GOTO END

:ERREXIT
ECHO.
ECHO INSTALLATION ERROR - Source and Destination drives not specified
ECHO.
ECHO    Syntax:
ECHO       INSTALL source: destination:
ECHO.
ECHO    For example, to install from drive A to drive C:
ECHO       INSTALL A: C:
ECHO.

:END
